<template> 
  <div class="location-card d-flex flex-column" @click="showLocation"  style="background-color: #6D071A">

    <div v-if="(admin || agence) && canAlter" class="d-flex justify-content-between mx-2">
      <div class=""></div>
      <div class="pull-right" @click.stop  style="background-color:#6D071A;">
        <BtnDropDown icon="ellipsis-h" btnClass="btn btn-light  btn-sm  " :items="its"/>
      </div>
    </div>
    <div class="location-photo text-dark  " :style="'background-image: url(' + 
      (location.pictures && location.pictures.length  > 0? location.pictures[0]:'') + ')'"></div>
    <!-- 
    <div class="location-photo text-dark" 
      style="background-image: url('https://yourstands.s3.af-south-1.amazonaws.com/Pate_rouge%2Bailleron.jpg');">
    </div> -->
    
    <div class="d-flew justidy-content-between mx-2 row my-1" style="color: #FFF;">
      <div class="w-100 h-100 col-6"> 
        <div class="">
          <div> {{location.description.nbreChambres}}  chambre(s) {{location.description.nbreSalons}} salon(s)</div>
          <div class="location-prix row ml-3"> <strong> <h4> {{location.price}} </h4></strong>FCFA</div>
        </div>
      </div>
      <div class="text-center my-auto col-6">
        <i class="las la-map-pin "></i>
        <b> {{location.zone}}</b>
      </div>
    </div>

    <!-- 
    <div class="mt-4 mb-2" @click.stop>
      <button type="button"
        class="btn btn-warning btn-sm mr-2"
        @click="this.editLocation" >
        <i class="fa fa-pencil"></i>
      </button>
      <button type="button"
        class="btn btn-danger btn-sm"
        @click="this.removeLocation">
        <i class="fa fa-trash"></i>
      </button>
    </div>
    -->
  
  </div>
  <!-- {{ troncateDesc(location.message, 50) }} -->
</template>



<script>
import BtnDropDown from "@/components/BtnDropDown.vue";

export default {
  name: "search",
  props: ["location", "editLocation", "removeLocation","showLocation"],
  data() {
    return {
      its: [
        // {text: 'Afficher', class: 'fa fa-eye mr-2', onClick: this.showArticle},
        //{text: "Modifier", class: "fa fa-pencil mr-2", onClick: this.editLocation,},
        {text: "Supprimer", class: "fa fa-trash mr-2", onClick: this.removeLocation,},
      ],
      admin: false,
      agence: false,
      client: false,
      canAlter: false,
    };
  },
  mounted() {
    if (localStorage.getItem("token")) {
      if (localStorage.getItem("adminRole") === "admin") {
        this.admin = this.canAlter = true; 
      }
      if (localStorage.getItem("adminRole") === "agence") {
        this.agence = true;
        if(localStorage.getItem("adminId") === location.agence)
          this.canAlter =  true;
      }
      if (localStorage.getItem("adminRole") === "client") {
        this.client = true;
      }
    }
  },
  methods: {
    next(i) {
      //this.$router.push("/commandes/create/" + i);
    },
    troncateDesc(text, max) {
      return text.substr(0, max) + (text.length > max ? "..." : "");
    },
  },
  components: {
    BtnDropDown,
  },
};
</script>

<style lang="scss" scoped>
$color2: #8b0000;
$color6: #284497;
$color3: #3bab38;





.location-card {
    position: relative;
    margin-right: 30px;  
    margin-bottom: 40px;
    padding-bottom: 10px; 
    width: 400px;
    background-color: #fefefe;
    cursor: pointer;
    border-radius: 8px;
    box-shadow: 0 0 7px 3px rgba(75,75,75,0.4);
    
  }

  .location-photo {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-left: 1px;   
    padding-right: 1px;   
    margin-right: 1px;   
    height: 400px;
    width: 100%;
    background-color: #efefef; /*#A2A2A2;*/
    border-bottom: 1px solid rgb(23, 25, 29);
    border-top-left-radius: 8px; 
    border-top-right-radius: 8px; 
    cursor: pointer;
  }

  .location-nom {
    padding: 5px 10px;
    font-weight: 500;
    font-size: 20px;
    color: black;
    text-align: center;
    margin-bottom: 15px;
  }

  .location-type {
    color: #08773f;
    text-transform: capitalize;
  }

  .produit-ref {
    color: #c26209;
    text-transform: capitalize;
  }

  .produit-prix {
    color: #801b1b;
  }

  .produit-categorie {
    text-align: center;
    font-size: 0.85em;
    color: #1b2e80;
  }

  .produit-categorie i.fa {
    margin-right: 5px;
  }
  
  .dot-card {
    position: absolute;

    //position: absolute;
    //top: 10px;
    //right: 10px;
  }


















.location-card:hover,
.location-card:focus {
  box-shadow: 0 0 6px 6px rgba(163, 162, 162, 0.4);
  transition-duration: 0.2s;
}

.prod-img {
  max-height: 160px;
  border-radius: 6px;
}


@media screen and (min-width: 180px) and (max-width: 750px) and (max-width: 1100px) {
  .texte-btn {
    display: none;
  }
  .butPaniers {
    width: 25%;
  }
  .butFavoris {
    width: 25%;
  }
  .fwn {
    font-size: 12px;
  }
}

$blue: #098fb8;

.location-amount {
  color: #8b0000;
  margin: 8px 2px 4px;
  // text-align: left;
  font-size: 25px;
}

.location-duration {
  color: #000;
  margin: 8px 2px 4px;
  // text-align: left;
  font-size: 18px;
}

.btn-cmd {
  background-color: $color2;
  color: white;
  border-radius: 4px;
  padding: 6px;
  cursor: pointer;
  font-size: 12px;
  transition-duration: 0.2s;
}

.btn-cmd .texte {
  display: none;
}

.btn-cmd:hover,
.btn-cmd:focus {
  padding: 8px;
  font-size: 15px;
  transition-duration: 0.5s;
}

.btn-cmd:hover .texte {
  display: inline;
  transition-duration: 0.5s;
}
</style>